{
  "openapi": "3.0.2",
  "info": {
    "version": "28",
    "title": "Kiteworks API — folders Operations"
  },
  "paths": {
    "/rest/folders": {
      "delete": {
        "tags": [
          "folders"
        ],
        "summary": "Delete a list of folders",
        "description": "Deletes multiple folders specified in the request.",
        "responses": {
          "204": {
            "description": "The specified folders were deleted. No content is returned."
          },
          "490": {
            "description": "Request blocked by WAF"
          }
        },
        "deprecated": false,
        "parameters": [
          {
            "in": "query",
            "name": "id:in",
            "description": "A comma-separated list of unique identifiers for the entities to be processed.. A comma-separated list of unique identifiers for the entities to be processed.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "partialSuccess",
            "description": "If set to `true`, the operation will continue for the valid items even if some items result in failure.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "mode",
            "description": "Determines the detail level of the response body.",
            "schema": {
              "type": "string",
              "enum": [
                "full_with_links",
                "full"
              ]
            }
          }
        ],
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X DELETE \\\n  \"https://{instance}.kiteworks.com/rest/folders?id:in=VALUE\" \\\n  -H \"Authorization: Bearer YOUR_TOKEN\""
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import requests\n\nurl = \"https://{instance}.kiteworks.com/rest/folders\"\nheaders = {\n    \"Authorization\": \"Bearer YOUR_TOKEN\",\n}\nparams = {\n    \"id:in\": \"VALUE\",\n}\nresponse = requests.delete(url, params=params, headers=headers)\nprint(response.json())"
          }
        ]
      }
    },
    "/rest/folders/actions/permanent": {
      "delete": {
        "tags": [
          "folders"
        ],
        "summary": "Permanently delete the specified folders",
        "description": "Permanently delete the specified folders.\n               These folders will no longer be accessible by any means.",
        "responses": {
          "204": {
            "description": "The specified folders were permanently deleted. No content is returned."
          },
          "490": {
            "description": "Request blocked by WAF"
          }
        },
        "deprecated": false,
        "parameters": [
          {
            "in": "query",
            "name": "id:in",
            "description": "A comma-separated list of unique identifiers for the entities to be processed.. A comma-separated list of unique identifiers for the entities to be processed.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "partialSuccess",
            "description": "If set to `true`, the operation will continue for the valid items even if some items result in failure.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "mode",
            "description": "Determines the detail level of the response body.",
            "schema": {
              "type": "string",
              "enum": [
                "full_with_links",
                "full"
              ]
            }
          }
        ],
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X DELETE \\\n  \"https://{instance}.kiteworks.com/rest/folders/actions/permanent?id:in=VALUE\" \\\n  -H \"Authorization: Bearer YOUR_TOKEN\""
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import requests\n\nurl = \"https://{instance}.kiteworks.com/rest/folders/actions/permanent\"\nheaders = {\n    \"Authorization\": \"Bearer YOUR_TOKEN\",\n}\nparams = {\n    \"id:in\": \"VALUE\",\n}\nresponse = requests.delete(url, params=params, headers=headers)\nprint(response.json())"
          }
        ]
      }
    },
    "/rest/folders/actions/recover": {
      "patch": {
        "tags": [
          "folders"
        ],
        "summary": "Recover deleted folders",
        "description": "Recover deleted folders and their children files and folders.",
        "responses": {
          "200": {
            "description": "Returns the list of recovered folders with their updated metadata.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Folder"
                      }
                    },
                    "metadata": {
                      "$ref": "#/components/schemas/MetaData"
                    }
                  }
                },
                "examples": {
                  "RecoveredFolders": {
                    "summary": "Folders successfully recovered",
                    "value": [
                      {
                        "id": "abc12345def67890ab",
                        "name": "Reports",
                        "type": "d",
                        "parent_id": "xyz98765cba43210fe",
                        "deleted": false,
                        "modified": "2024-07-01T10:00:00+0000",
                        "avStatus": "clean",
                        "dlpStatus": "clean"
                      }
                    ]
                  }
                }
              }
            }
          },
          "490": {
            "description": "Request blocked by WAF"
          }
        },
        "deprecated": false,
        "parameters": [
          {
            "in": "query",
            "name": "id:in",
            "description": "A comma-separated list of unique identifiers for the entities to be processed.. A comma-separated list of unique identifiers for the entities to be processed.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "partialSuccess",
            "description": "If set to `true`, the operation will continue for the valid items even if some items result in failure.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "returnEntity",
            "description": "If set to `true`, returns information about the newly created entity.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "mode",
            "description": "Determines the detail level of the response body.",
            "schema": {
              "type": "string",
              "enum": [
                "full_with_links",
                "full"
              ]
            }
          }
        ],
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X PATCH \\\n  \"https://{instance}.kiteworks.com/rest/folders/actions/recover?id:in=VALUE\" \\\n  -H \"Authorization: Bearer YOUR_TOKEN\""
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import requests\n\nurl = \"https://{instance}.kiteworks.com/rest/folders/actions/recover\"\nheaders = {\n    \"Authorization\": \"Bearer YOUR_TOKEN\",\n}\nparams = {\n    \"id:in\": \"VALUE\",\n}\nresponse = requests.patch(url, params=params, headers=headers)\nprint(response.json())"
          }
        ]
      }
    },
    "/rest/folders/actions/scan": {
      "post": {
        "tags": [
          "folders"
        ],
        "summary": "Triggers on demand AV/DLP scan on multiple folders",
        "description": "Attempts to trigger an AV/DLP scan on requested folders.",
        "responses": {
          "200": {
            "description": "Returns the list of folders with their scan status updated to reflect that scans have been triggered.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Folder"
                      }
                    },
                    "metadata": {
                      "$ref": "#/components/schemas/MetaData"
                    }
                  }
                },
                "examples": {
                  "BulkScanTriggered": {
                    "summary": "Scans triggered — statuses are pending",
                    "value": [
                      {
                        "id": "abc12345def67890ab",
                        "name": "Reports",
                        "type": "d",
                        "parent_id": "xyz98765cba43210fe",
                        "deleted": false,
                        "avStatus": "pending",
                        "dlpStatus": "pending"
                      },
                      {
                        "id": "def67890abc12345fe",
                        "name": "Archives",
                        "type": "d",
                        "parent_id": "xyz98765cba43210fe",
                        "deleted": false,
                        "avStatus": "pending",
                        "dlpStatus": "pending"
                      }
                    ]
                  }
                }
              }
            }
          },
          "490": {
            "description": "Request blocked by WAF"
          }
        },
        "deprecated": false,
        "parameters": [
          {
            "in": "query",
            "name": "returnEntity",
            "description": "If set to `true`, returns information about the newly created entity.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "id:in",
            "description": "List of IDs of entities to scan. Search for results that match any of the specified values for this parameter.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "with",
            "description": "With parameters",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "mode",
            "description": "Determines the detail level of the response body.",
            "schema": {
              "type": "string",
              "enum": [
                "full_with_links",
                "full",
                "compact"
              ]
            }
          }
        ],
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X POST \\\n  \"https://{instance}.kiteworks.com/rest/folders/actions/scan?id:in=VALUE\" \\\n  -H \"Authorization: Bearer YOUR_TOKEN\""
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import requests\n\nurl = \"https://{instance}.kiteworks.com/rest/folders/actions/scan\"\nheaders = {\n    \"Authorization\": \"Bearer YOUR_TOKEN\",\n}\nparams = {\n    \"id:in\": \"VALUE\",\n}\nresponse = requests.post(url, params=params, headers=headers)\nprint(response.json())"
          }
        ]
      }
    },
    "/rest/folders/shared": {
      "get": {
        "tags": [
          "folders"
        ],
        "summary": "List top level shared folders",
        "description": "Return the list of top level shared folders.",
        "responses": {
          "200": {
            "description": "Returns a paginated list of top-level folders shared with the current user.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Folder"
                      }
                    },
                    "metadata": {
                      "$ref": "#/components/schemas/MetaData"
                    }
                  }
                },
                "examples": {
                  "SharedFolderList": {
                    "summary": "A page of shared folders",
                    "value": [
                      {
                        "id": "abc12345def67890ab",
                        "name": "Team Workspace",
                        "description": "Shared team files",
                        "type": "d",
                        "parent_id": "xyz98765cba43210fe",
                        "deleted": false,
                        "created": "2024-01-10T09:00:00+0000",
                        "modified": "2024-06-20T11:30:00+0000",
                        "syncable": false,
                        "secure": false,
                        "isFavorite": true,
                        "isShared": true,
                        "totalFilesCount": 25,
                        "totalFoldersCount": 5,
                        "totalMembersCount": 8,
                        "avStatus": "clean",
                        "dlpStatus": "clean"
                      }
                    ]
                  }
                }
              }
            }
          },
          "490": {
            "description": "Request blocked by WAF"
          }
        },
        "deprecated": false,
        "parameters": [
          {
            "in": "query",
            "name": "name",
            "description": "Folder name",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "name:contains",
            "description": "Folder name. Search for results that contain the specified characters in this parameter.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "userId",
            "description": "Unique identifier of Object creator",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "userId:in",
            "description": "Unique identifier of Object creator. Search for results that match any of the specified values for this parameter.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "created",
            "description": "Object creation date",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "created:gt",
            "description": "Object creation date. Search for results where this parameter value is greater than the specified value.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "created:gte",
            "description": "Object creation date. Search for results where this parameter value is greater than or equal to the specified value.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "created:lt",
            "description": "Object creation date. Search for results where this parameter value is less than the specified value.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "created:lte",
            "description": "Object creation date. Search for results where this parameter value is less than or equal to the specified value.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "modified",
            "description": "Object modification date",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "modified:gt",
            "description": "Object modification date. Search for results where this parameter value is greater than the specified value.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "modified:gte",
            "description": "Object modification date. Search for results where this parameter value is greater than or equal to the specified value.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "modified:lt",
            "description": "Object modification date. Search for results where this parameter value is less than the specified value.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "modified:lte",
            "description": "Object modification date. Search for results where this parameter value is less than or equal to the specified value.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "deleted",
            "description": "Indicates whether the object is deleted.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "expire",
            "description": "Expiration date",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "expire:gt",
            "description": "Expiration date. Search for results where this parameter value is greater than the specified value.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "expire:gte",
            "description": "Expiration date. Search for results where this parameter value is greater than or equal to the specified value.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "expire:lt",
            "description": "Expiration date. Search for results where this parameter value is less than the specified value.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "expire:lte",
            "description": "Expiration date. Search for results where this parameter value is less than or equal to the specified value.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "fileLifetime",
            "description": "Folder lifetime",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "fileLifetime:gt",
            "description": "Folder lifetime. Search for results where this parameter value is greater than the specified value.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "fileLifetime:gte",
            "description": "Folder lifetime. Search for results where this parameter value is greater than or equal to the specified value.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "fileLifetime:lt",
            "description": "Folder lifetime. Search for results where this parameter value is less than the specified value.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "fileLifetime:lte",
            "description": "Folder lifetime. Search for results where this parameter value is less than or equal to the specified value.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "secure",
            "description": "Folder secure flag",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "description:contains",
            "description": "Folder description. Search for results that contain the specified characters in this parameter.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "sharedByMe",
            "description": "Filter shared folders by direction. Use `true` to return only folders shared by me, `false` for folders shared with me, or omit to return both.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "orderBy",
            "description": "Sorting options",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "enum": [
                "name:asc",
                "name:desc",
                "created:asc",
                "created:desc",
                "modified:asc",
                "modified:desc"
              ]
            }
          },
          {
            "in": "query",
            "name": "offset",
            "description": "Offset",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "limit",
            "description": "Limit",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "with",
            "description": "With parameters",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "mode",
            "description": "Determines the detail level of the response body.",
            "schema": {
              "type": "string",
              "enum": [
                "full_with_links",
                "full",
                "compact"
              ]
            }
          }
        ],
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X GET \\\n  \"https://{instance}.kiteworks.com/rest/folders/shared\" \\\n  -H \"Authorization: Bearer YOUR_TOKEN\""
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import requests\n\nurl = \"https://{instance}.kiteworks.com/rest/folders/shared\"\nheaders = {\n    \"Authorization\": \"Bearer YOUR_TOKEN\",\n}\nresponse = requests.get(url, headers=headers)\nprint(response.json())"
          }
        ]
      }
    },
    "/rest/folders/{id}/actions/move": {
      "post": {
        "summary": "Move a folder",
        "description": "### Description:\n  Moves the specified folder to a new destination folder.\n### Precondition:\n  User must have `folder_move` permission for the folder being moved.\n  User must have `folder_add` permission for the destination folder.\n### Response:\n  The folder is moved to the destination folder.\n",
        "tags": [
          "folders"
        ],
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The unique identifier (UUID) of the entity.",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "in": "query",
            "name": "returnEntity",
            "required": false,
            "description": "If true, includes the entity in the response body.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "with",
            "required": false,
            "description": "Specifies additional fields to include in the response.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "mode",
            "required": false,
            "description": "Determines the detail level of the response body.",
            "schema": {
              "type": "string",
              "enum": [
                "compact",
                "full_no_links",
                "full_with_links",
                "full"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DestinationFolderIdRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Folder successfully moved",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Folder1"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized<br /><br /><i>Possible error codes: </i>ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_AUTH_INVALID_CSRF": {
                    "summary": "Invalid CSRF Authentication",
                    "description": "Invalid CSRF Authentication",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_AUTH_INVALID_CSRF",
                          "message": "Invalid CSRF Authentication"
                        }
                      ]
                    }
                  },
                  "ERR_AUTH_UNAUTHORIZED": {
                    "summary": "Unauthorized",
                    "description": "Unauthorized",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_AUTH_UNAUTHORIZED",
                          "message": "Unauthorized"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden<br /><br /><i>Possible error codes: </i>ERR_ACCESS_USER, ERR_ENTITY_CONTAINS_LOCKED_FILES, ERR_ENTITY_IS_BASE_DIR, ERR_ENTITY_IS_MY_DIR, ERR_ENTITY_IS_SECURE_FOLDER, ERR_ENTITY_IS_SYNC_DIR",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_ACCESS_USER": {
                    "summary": "Insufficient access permissions",
                    "description": "Insufficient access permissions",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ACCESS_USER",
                          "message": "Insufficient access permissions"
                        }
                      ]
                    }
                  },
                  "ERR_ENTITY_CONTAINS_LOCKED_FILES": {
                    "summary": "Folder contains locked files",
                    "description": "Folder contains locked files",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_CONTAINS_LOCKED_FILES",
                          "message": "Folder contains locked files"
                        }
                      ]
                    }
                  },
                  "ERR_ENTITY_IS_BASE_DIR": {
                    "summary": "Operation not permitted on Base Folder",
                    "description": "Operation not permitted on Base Folder",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_IS_BASE_DIR",
                          "message": "Operation not permitted on Base Folder"
                        }
                      ]
                    }
                  },
                  "ERR_ENTITY_IS_MY_DIR": {
                    "summary": "Operation not permitted on Tray Folder",
                    "description": "Operation not permitted on Tray Folder",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_IS_MY_DIR",
                          "message": "Operation not permitted on Tray Folder"
                        }
                      ]
                    }
                  },
                  "ERR_ENTITY_IS_SECURE_FOLDER": {
                    "summary": "Operation not permitted on restricted Folder.",
                    "description": "Operation not permitted on restricted Folder.",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_IS_SECURE_FOLDER",
                          "message": "Operation not permitted on restricted Folder."
                        }
                      ]
                    }
                  },
                  "ERR_ENTITY_IS_SYNC_DIR": {
                    "summary": "Operation not permitted on My Folder",
                    "description": "Operation not permitted on My Folder",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_IS_SYNC_DIR",
                          "message": "Operation not permitted on My Folder"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "409": {
            "description": "Conflict<br /><br /><i>Possible error codes: </i>ERR_ENTITY_EXISTS",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_ENTITY_EXISTS": {
                    "summary": "Entity exists",
                    "description": "Entity exists",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_EXISTS",
                          "message": "Entity exists"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "413": {
            "description": "Content Too Large<br /><br /><i>Possible error codes: </i>ERR_SYSTEM_NO_STORAGE_AVAILABLE",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_SYSTEM_NO_STORAGE_AVAILABLE": {
                    "summary": "Folder owner's remaining storage quota does not permit for a file upload of this size.",
                    "description": "Folder owner's remaining storage quota does not permit for a file upload of this size.",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_SYSTEM_NO_STORAGE_AVAILABLE",
                          "message": "Folder owner's remaining storage quota does not permit for a file upload of this size."
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Content<br /><br /><i>Possible error codes: </i>ERR_CANNOT_MOVE_FOLDER_TO_SELF, ERR_CANNOT_MOVE_TO_CHILD, ERR_INVALID_PARAMETER",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_CANNOT_MOVE_FOLDER_TO_SELF": {
                    "summary": "Cannot move folder to itself",
                    "description": "Cannot move folder to itself",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_CANNOT_MOVE_FOLDER_TO_SELF",
                          "message": "Cannot move folder to itself"
                        }
                      ]
                    }
                  },
                  "ERR_CANNOT_MOVE_TO_CHILD": {
                    "summary": "Cannot move folder to its child",
                    "description": "Cannot move folder to its child",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_CANNOT_MOVE_TO_CHILD",
                          "message": "Cannot move folder to its child"
                        }
                      ]
                    }
                  },
                  "ERR_INVALID_PARAMETER": {
                    "summary": "Invalid Parameter Exception",
                    "description": "Invalid Parameter Exception",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_INVALID_PARAMETER",
                          "message": "Invalid Parameter Exception"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "490": {
            "description": "Request blocked by WAF"
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X POST \\\n  \"https://{instance}.kiteworks.com/rest/folders/:id/actions/move\" \\\n  -H \"Authorization: Bearer YOUR_TOKEN\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\n         \"destinationFolderId\": \"string\",\n         \"addVersion\": true\n       }'"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import requests\n\nid = \"VALUE\"  # The unique identifier (UUID) of the entity.\n\nurl = f\"https://{{instance}}.kiteworks.com/rest/folders/{id}/actions/move\"\nheaders = {\n    \"Authorization\": \"Bearer YOUR_TOKEN\",\n    \"Content-Type\": \"application/json\",\n}\npayload = {\n  \"destinationFolderId\": \"string\",\n  \"addVersion\": true\n}\nresponse = requests.post(url, headers=headers, json=payload)\nprint(response.json())"
          }
        ]
      }
    },
    "/rest/folders/{id}/actions/permanent": {
      "delete": {
        "tags": [
          "folders"
        ],
        "summary": "Permanently delete the specified folder",
        "description": "Permanently delete the specified folder.\n               This folder will no longer be accessible by any means.",
        "responses": {
          "204": {
            "description": "The folder was permanently deleted. No content is returned."
          },
          "490": {
            "description": "Request blocked by WAF"
          }
        },
        "deprecated": false,
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "description": "The unique identifier (UUID) of the folder.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X DELETE \\\n  \"https://{instance}.kiteworks.com/rest/folders/:id/actions/permanent\" \\\n  -H \"Authorization: Bearer YOUR_TOKEN\""
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import requests\n\nid = \"VALUE\"  # The unique identifier (UUID) of the folder.\n\nurl = f\"https://{{instance}}.kiteworks.com/rest/folders/{id}/actions/permanent\"\nheaders = {\n    \"Authorization\": \"Bearer YOUR_TOKEN\",\n}\nresponse = requests.delete(url, headers=headers)\nprint(response.json())"
          }
        ]
      }
    },
    "/rest/folders/{id}/actions/recover": {
      "patch": {
        "tags": [
          "folders"
        ],
        "summary": "Recover deleted folder",
        "description": "Recover the specified folder. This un-marks the folder for deletion.",
        "responses": {
          "200": {
            "description": "Returns the recovered folder with its updated metadata.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Folder"
                },
                "examples": {
                  "RecoveredFolder": {
                    "summary": "Folder successfully recovered",
                    "value": {
                      "id": "abc12345def67890ab",
                      "name": "Reports",
                      "description": "Quarterly reports",
                      "type": "d",
                      "parent_id": "xyz98765cba43210fe",
                      "deleted": false,
                      "created": "2024-03-01T08:00:00+0000",
                      "modified": "2024-07-01T10:00:00+0000",
                      "syncable": false,
                      "secure": false,
                      "isFavorite": false,
                      "isShared": false,
                      "totalFilesCount": 5,
                      "totalFoldersCount": 1,
                      "totalMembersCount": 0,
                      "avStatus": "clean",
                      "dlpStatus": "clean"
                    }
                  }
                }
              }
            }
          },
          "490": {
            "description": "Request blocked by WAF"
          }
        },
        "deprecated": false,
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "description": "The unique identifier (UUID) of the folder.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "returnEntity",
            "description": "If set to `true`, returns information about the newly created entity.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "mode",
            "description": "Determines the detail level of the response body.",
            "schema": {
              "type": "string",
              "enum": [
                "full_with_links",
                "full"
              ]
            }
          }
        ],
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X PATCH \\\n  \"https://{instance}.kiteworks.com/rest/folders/:id/actions/recover\" \\\n  -H \"Authorization: Bearer YOUR_TOKEN\""
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import requests\n\nid = \"VALUE\"  # The unique identifier (UUID) of the folder.\n\nurl = f\"https://{{instance}}.kiteworks.com/rest/folders/{id}/actions/recover\"\nheaders = {\n    \"Authorization\": \"Bearer YOUR_TOKEN\",\n}\nresponse = requests.patch(url, headers=headers)\nprint(response.json())"
          }
        ]
      }
    },
    "/rest/folders/{id}/actions/scan": {
      "post": {
        "tags": [
          "folders"
        ],
        "summary": "Triggers on demand AV/DLP folder scan",
        "description": "Attempts to trigger an AV/DLP scan on requested folder.",
        "responses": {
          "200": {
            "description": "Returns the folder with its scan status updated to reflect that a scan has been triggered.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Folder"
                },
                "examples": {
                  "ScanTriggered": {
                    "summary": "Scan triggered — status is pending",
                    "value": {
                      "id": "abc12345def67890ab",
                      "name": "Reports",
                      "type": "d",
                      "parent_id": "xyz98765cba43210fe",
                      "deleted": false,
                      "avStatus": "pending",
                      "dlpStatus": "pending"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden<br /><br /><i>Possible error codes: </i>ERR_ACCESS_USER",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_ACCESS_USER": {
                    "summary": "Insufficient access permissions",
                    "description": "Insufficient access permissions",
                    "value": {
                      "errors": {
                        "code": "ERR_ACCESS_USER",
                        "message": "Insufficient access permissions"
                      }
                    }
                  }
                }
              }
            }
          },
          "490": {
            "description": "Request blocked by WAF"
          }
        },
        "deprecated": false,
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "description": "The unique identifier (UUID) of the folder.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "returnEntity",
            "description": "If set to `true`, returns information about the newly created entity.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "folderId:in",
            "description": "List of folder IDs of entities to scan. Search for results that match any of the specified values for this parameter.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "fileId:in",
            "description": "List of file IDs of entities to scan. Search for results that match any of the specified values for this parameter.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "with",
            "description": "With parameters",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "mode",
            "description": "Determines the detail level of the response body.",
            "schema": {
              "type": "string",
              "enum": [
                "full_with_links",
                "full",
                "compact"
              ]
            }
          }
        ],
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X POST \\\n  \"https://{instance}.kiteworks.com/rest/folders/:id/actions/scan\" \\\n  -H \"Authorization: Bearer YOUR_TOKEN\""
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import requests\n\nid = \"VALUE\"  # The unique identifier (UUID) of the folder.\n\nurl = f\"https://{{instance}}.kiteworks.com/rest/folders/{id}/actions/scan\"\nheaders = {\n    \"Authorization\": \"Bearer YOUR_TOKEN\",\n}\nresponse = requests.post(url, headers=headers)\nprint(response.json())"
          }
        ]
      }
    },
    "/rest/folders/{id}/actions/sendMessage": {
      "post": {
        "summary": "Send message from a folder",
        "description": "### Description:\nSends a message from the specified folder to members of the folder.\n\n### Precondition:\nThe user must be a member of the folder.\n\n### Response:\nThe message has been successfully sent to members.\n",
        "tags": [
          "folders"
        ],
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The unique identifier (UUID) of the entity.",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/FolderSendMessageRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "The message has been successfully sent to members.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Mail"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized<br /><br /><i>Possible error codes: </i>ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_AUTH_INVALID_CSRF": {
                    "summary": "Invalid CSRF Authentication",
                    "description": "Invalid CSRF Authentication",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_AUTH_INVALID_CSRF",
                          "message": "Invalid CSRF Authentication"
                        }
                      ]
                    }
                  },
                  "ERR_AUTH_UNAUTHORIZED": {
                    "summary": "Unauthorized",
                    "description": "Unauthorized",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_AUTH_UNAUTHORIZED",
                          "message": "Unauthorized"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden<br /><br /><i>Possible error codes: </i>ERR_ACCESS_USER, ERR_ENTITY_DELETED",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_ACCESS_USER": {
                    "summary": "Insufficient access permissions",
                    "description": "Insufficient access permissions",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ACCESS_USER",
                          "message": "Insufficient access permissions"
                        }
                      ]
                    }
                  },
                  "ERR_ENTITY_DELETED": {
                    "summary": "Entity is deleted",
                    "description": "Entity is deleted",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_DELETED",
                          "message": "Entity is deleted"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Content<br /><br /><i>Possible error codes: </i>ERR_INVALID_PARAMETER",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_INVALID_PARAMETER": {
                    "summary": "Invalid Parameter Exception",
                    "description": "Invalid Parameter Exception",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_INVALID_PARAMETER",
                          "message": "Invalid Parameter Exception"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "490": {
            "description": "Request blocked by WAF"
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X POST \\\n  \"https://{instance}.kiteworks.com/rest/folders/:id/actions/sendMessage\" \\\n  -H \"Authorization: Bearer YOUR_TOKEN\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\n         \"to\": [\n         \"string\"\n       ],\n         \"cc\": [\n         \"string\"\n       ],\n         \"bcc\": [\n         \"string\"\n       ],\n         \"secureBody\": true,\n         \"body\": \"string\",\n         \"subject\": \"string\"\n       }'"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import requests\n\nid = \"VALUE\"  # The unique identifier (UUID) of the entity.\n\nurl = f\"https://{{instance}}.kiteworks.com/rest/folders/{id}/actions/sendMessage\"\nheaders = {\n    \"Authorization\": \"Bearer YOUR_TOKEN\",\n    \"Content-Type\": \"application/json\",\n}\npayload = {\n  \"to\": [\n  \"string\"\n],\n  \"cc\": [\n  \"string\"\n],\n  \"bcc\": [\n  \"string\"\n],\n  \"secureBody\": true,\n  \"body\": \"string\",\n  \"subject\": \"string\"\n}\nresponse = requests.post(url, headers=headers, json=payload)\nprint(response.json())"
          }
        ]
      }
    },
    "/rest/folders/{id}/folders": {
      "get": {
        "tags": [
          "folders"
        ],
        "summary": "List children folders of specified parent",
        "description": "Return the list of folders in the specified folder including its metadata.",
        "responses": {
          "200": {
            "description": "Returns a paginated list of child folders within the specified parent folder, including each folder's metadata.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Folder"
                      }
                    },
                    "metadata": {
                      "$ref": "#/components/schemas/MetaData"
                    }
                  }
                },
                "examples": {
                  "FolderList": {
                    "summary": "A page of child folders",
                    "value": [
                      {
                        "id": "abc12345def67890ab",
                        "name": "Reports",
                        "description": "Quarterly reports",
                        "type": "d",
                        "parent_id": "xyz98765cba43210fe",
                        "deleted": false,
                        "created": "2024-03-01T08:00:00+0000",
                        "modified": "2024-06-15T14:22:00+0000",
                        "syncable": false,
                        "secure": false,
                        "isFavorite": false,
                        "isShared": true,
                        "totalFilesCount": 12,
                        "totalFoldersCount": 3,
                        "totalMembersCount": 4,
                        "avStatus": "clean",
                        "dlpStatus": "clean"
                      }
                    ]
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden<br /><br /><i>Possible error codes: </i>ERR_ACCESS_DLI_ADMIN",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_ACCESS_DLI_ADMIN": {
                    "summary": "Authenticated user is not a DLI Admin",
                    "description": "Authenticated user is not a DLI Admin",
                    "value": {
                      "errors": {
                        "code": "ERR_ACCESS_DLI_ADMIN",
                        "message": "Authenticated user is not a DLI Admin"
                      }
                    }
                  }
                }
              }
            }
          },
          "490": {
            "description": "Request blocked by WAF"
          }
        },
        "deprecated": false,
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "description": "ID of the parent folder",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "name",
            "description": "Folder name",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "name:contains",
            "description": "Folder name. Search for results that contain the specified characters in this parameter.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "userId",
            "description": "Unique identifier of Object creator",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "userId:in",
            "description": "Unique identifier of Object creator. Search for results that match any of the specified values for this parameter.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "created",
            "description": "Object creation date",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "created:gt",
            "description": "Object creation date. Search for results where this parameter value is greater than the specified value.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "created:gte",
            "description": "Object creation date. Search for results where this parameter value is greater than or equal to the specified value.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "created:lt",
            "description": "Object creation date. Search for results where this parameter value is less than the specified value.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "created:lte",
            "description": "Object creation date. Search for results where this parameter value is less than or equal to the specified value.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "modified",
            "description": "Object modification date",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "modified:gt",
            "description": "Object modification date. Search for results where this parameter value is greater than the specified value.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "modified:gte",
            "description": "Object modification date. Search for results where this parameter value is greater than or equal to the specified value.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "modified:lt",
            "description": "Object modification date. Search for results where this parameter value is less than the specified value.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "modified:lte",
            "description": "Object modification date. Search for results where this parameter value is less than or equal to the specified value.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "in": "query",
            "name": "deleted",
            "description": "Indicates whether the object is deleted.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "expire",
            "description": "Expiration date",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "expire:gt",
            "description": "Expiration date. Search for results where this parameter value is greater than the specified value.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "expire:gte",
            "description": "Expiration date. Search for results where this parameter value is greater than or equal to the specified value.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "expire:lt",
            "description": "Expiration date. Search for results where this parameter value is less than the specified value.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "expire:lte",
            "description": "Expiration date. Search for results where this parameter value is less than or equal to the specified value.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "fileLifetime",
            "description": "Folder lifetime",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "fileLifetime:gt",
            "description": "Folder lifetime. Search for results where this parameter value is greater than the specified value.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "fileLifetime:gte",
            "description": "Folder lifetime. Search for results where this parameter value is greater than or equal to the specified value.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "fileLifetime:lt",
            "description": "Folder lifetime. Search for results where this parameter value is less than the specified value.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "fileLifetime:lte",
            "description": "Folder lifetime. Search for results where this parameter value is less than or equal to the specified value.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "secure",
            "description": "Folder secure flag",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "description:contains",
            "description": "Folder description. Search for results that contain the specified characters in this parameter.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "orderBy",
            "description": "Sorting options",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "enum": [
                "name:asc",
                "name:desc",
                "created:asc",
                "created:desc",
                "modified:asc",
                "modified:desc"
              ]
            }
          },
          {
            "in": "query",
            "name": "offset",
            "description": "Offset",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "limit",
            "description": "Limit",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "locate_id",
            "description": "If specified, \"offset\" parameter will be ignored\n                                            and the page containing entity with this Id will be returned.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "with",
            "description": "With parameters",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "mode",
            "description": "Determines the detail level of the response body.",
            "schema": {
              "type": "string",
              "enum": [
                "full_with_links",
                "full",
                "compact"
              ]
            }
          }
        ],
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X GET \\\n  \"https://{instance}.kiteworks.com/rest/folders/:id/folders\" \\\n  -H \"Authorization: Bearer YOUR_TOKEN\""
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import requests\n\nid = \"VALUE\"  # ID of the parent folder\n\nurl = f\"https://{{instance}}.kiteworks.com/rest/folders/{id}/folders\"\nheaders = {\n    \"Authorization\": \"Bearer YOUR_TOKEN\",\n}\nresponse = requests.get(url, headers=headers)\nprint(response.json())"
          }
        ]
      },
      "post": {
        "summary": "Create a folder",
        "description": "### Description:\n  Creates a new folder under the specified parent folder.\n### Precondition:\n  User must have `folder_add` permission for the parent folder.\n### Response:\n  The new folder is created and its details are returned.\n",
        "tags": [
          "folders"
        ],
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The unique identifier (UUID) of the entity.",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "in": "query",
            "name": "returnEntity",
            "required": false,
            "description": "If true, includes the entity in the response body.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "with",
            "required": false,
            "description": "Specifies additional fields to include in the response.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "mode",
            "required": false,
            "description": "Determines the detail level of the response body.",
            "schema": {
              "type": "string",
              "enum": [
                "compact",
                "full_no_links",
                "full_with_links",
                "full"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/FolderCreatePostRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Folder created successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Folder1"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized<br /><br /><i>Possible error codes: </i>ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_AUTH_INVALID_CSRF": {
                    "summary": "Invalid CSRF Authentication",
                    "description": "Invalid CSRF Authentication",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_AUTH_INVALID_CSRF",
                          "message": "Invalid CSRF Authentication"
                        }
                      ]
                    }
                  },
                  "ERR_AUTH_UNAUTHORIZED": {
                    "summary": "Unauthorized",
                    "description": "Unauthorized",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_AUTH_UNAUTHORIZED",
                          "message": "Unauthorized"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden<br /><br /><i>Possible error codes: </i>ERR_ACCESS_DENIED, ERR_ACCESS_USER",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_ACCESS_DENIED": {
                    "summary": "Your access is denied.",
                    "description": "Your access is denied.",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ACCESS_DENIED",
                          "message": "Your access is denied.",
                          "redirectUrl": "/login?code=3317"
                        }
                      ]
                    }
                  },
                  "ERR_ACCESS_USER": {
                    "summary": "Insufficient access permissions",
                    "description": "Insufficient access permissions",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ACCESS_USER",
                          "message": "Insufficient access permissions"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "409": {
            "description": "Conflict<br /><br /><i>Possible error codes: </i>ERR_ENTITY_EXISTS",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_ENTITY_EXISTS": {
                    "summary": "Entity exists",
                    "description": "Entity exists",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_EXISTS",
                          "message": "Entity exists"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "490": {
            "description": "Request blocked by WAF"
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X POST \\\n  \"https://{instance}.kiteworks.com/rest/folders/:id/folders\" \\\n  -H \"Authorization: Bearer YOUR_TOKEN\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\n         \"name\": \"string\",\n         \"secure\": true,\n         \"syncable\": true,\n         \"expire\": \"2024-01-15\",\n         \"fileLifetime\": 1,\n         \"rename\": true\n       }'"
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import requests\n\nid = \"VALUE\"  # The unique identifier (UUID) of the entity.\n\nurl = f\"https://{{instance}}.kiteworks.com/rest/folders/{id}/folders\"\nheaders = {\n    \"Authorization\": \"Bearer YOUR_TOKEN\",\n    \"Content-Type\": \"application/json\",\n}\npayload = {\n  \"name\": \"string\",\n  \"secure\": true,\n  \"syncable\": true,\n  \"expire\": \"2024-01-15\",\n  \"fileLifetime\": 1,\n  \"rename\": true\n}\nresponse = requests.post(url, headers=headers, json=payload)\nprint(response.json())"
          }
        ]
      }
    },
    "/rest/folders/{id}/members": {
      "get": {
        "summary": "List folder members.",
        "description": "### Description:\n  Returns a paginated list of members who have access to the specified folder.\n### Precondition:\n  User must have `user_view` permission for the folder.\n### Response:\n  A list of folder members is returned.\n### Sorting:\n  Sort string syntax `FIELD_NAME:ORDER`.\n\n  ORDER can be `asc` or `desc`.\n### Sorting options:\n  | FIELD_NAME | Description |\n  |------------|-------------|\n  | id         | The member ID |\n  | userId     | The user ID |\n  | groupId    | The group ID |\n  | roleId     | The role ID |\n  | rank       | The rank of the role |\n  | email      | The member's email |\n",
        "tags": [
          "folders"
        ],
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The unique identifier (UUID) of the entity.",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "in": "query",
            "name": "email",
            "required": false,
            "description": "Filter results by email address.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "userId",
            "required": false,
            "description": "Filter results by user ID.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "groupId",
            "required": false,
            "description": "Filter results by group ID.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "roleId",
            "required": false,
            "description": "Filter results by role ID.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "userId:in",
            "required": false,
            "explode": true,
            "style": "form",
            "description": "Filter by a comma-separated list of user IDs. (Recommended request size <= 100)",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "in": "query",
            "name": "groupId:in",
            "required": false,
            "explode": true,
            "style": "form",
            "description": "Filter by a comma-separated list of LDAP Group IDs. (Recommended request size <= 100)",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "in": "query",
            "name": "roleId:in",
            "required": false,
            "explode": true,
            "style": "form",
            "description": "Filter by a comma-separated list of role IDs.",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "in": "query",
            "name": "type",
            "required": false,
            "description": "Filter members by the object type they have access to.<br>`d` – Directory (folder) membership.<br>`f` – File membership.",
            "schema": {
              "type": "string",
              "enum": [
                "d",
                "f"
              ]
            }
          },
          {
            "in": "query",
            "name": "orderBy",
            "required": false,
            "description": "Sort order for the results. Default is `id:asc`.<br>Allowed values: `id:asc`, `id:desc`, `userId:asc`, `userId:desc`, `groupId:asc`, `groupId:desc`, `roleId:asc`, `roleId:desc`, `rank:asc`, `rank:desc`, `email:asc`, `email:desc`.",
            "schema": {
              "type": "string",
              "enum": [
                "id:asc",
                "id:desc",
                "userId:asc",
                "userId:desc",
                "groupId:asc",
                "groupId:desc",
                "roleId:asc",
                "roleId:desc",
                "rank:asc",
                "rank:desc",
                "email:asc",
                "email:desc"
              ]
            }
          },
          {
            "in": "query",
            "name": "limit",
            "required": false,
            "description": "Range limit.",
            "schema": {
              "type": "integer",
              "minimum": 1
            }
          },
          {
            "in": "query",
            "name": "offset",
            "required": false,
            "description": "Range offset.",
            "schema": {
              "type": "integer",
              "minimum": 0
            }
          },
          {
            "in": "query",
            "name": "with",
            "required": false,
            "description": "Specifies additional fields to include in the response.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "mode",
            "required": false,
            "description": "Determines the detail level of the response body.",
            "schema": {
              "type": "string",
              "enum": [
                "compact",
                "full_no_links",
                "full_with_links",
                "full"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The folder members have been successfully returned.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Members"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request<br /><br /><i>Possible error codes: </i>ERR_REQUEST_INVALID_JSON",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_REQUEST_INVALID_JSON": {
                    "summary": "Invalid json provided",
                    "description": "Invalid json provided",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_REQUEST_INVALID_JSON",
                          "message": "Invalid json provided"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized<br /><br /><i>Possible error codes: </i>ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_AUTH_INVALID_CSRF": {
                    "summary": "Invalid CSRF Authentication",
                    "description": "Invalid CSRF Authentication",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_AUTH_INVALID_CSRF",
                          "message": "Invalid CSRF Authentication"
                        }
                      ]
                    }
                  },
                  "ERR_AUTH_UNAUTHORIZED": {
                    "summary": "Unauthorized",
                    "description": "Unauthorized",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_AUTH_UNAUTHORIZED",
                          "message": "Unauthorized"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden<br /><br /><i>Possible error codes: </i>ERR_SYSTEM_TENANT_SUSPENDED, ERR_ACCESS_USER, ERR_ACCESS_DENIED, ERR_ENTITY_DELETED",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_SYSTEM_TENANT_SUSPENDED": {
                    "summary": "Access to the service is restricted by the service provider. Contact your administrator for updates on restoring normal access.",
                    "description": "Access to the service is restricted by the service provider. Contact your administrator for updates on restoring normal access.",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_SYSTEM_TENANT_SUSPENDED",
                          "message": "Access to the service is restricted by the service provider. Contact your administrator for updates on restoring normal access."
                        }
                      ]
                    }
                  },
                  "ERR_ACCESS_USER": {
                    "summary": "Insufficient access permissions",
                    "description": "Insufficient access permissions",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ACCESS_USER",
                          "message": "Insufficient access permissions"
                        }
                      ]
                    }
                  },
                  "ERR_ACCESS_DENIED": {
                    "summary": "Your access is denied.",
                    "description": "Your access is denied.",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ACCESS_DENIED",
                          "message": "Your access is denied.",
                          "redirectUrl": "/login?code=3317"
                        }
                      ]
                    }
                  },
                  "ERR_ENTITY_DELETED": {
                    "summary": "Entity is deleted",
                    "description": "Entity is deleted",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_DELETED",
                          "message": "Entity is deleted"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Content<br /><br /><i>Possible error codes: </i>ERR_LICENSE_EXPIRED",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_LICENSE_EXPIRED": {
                    "summary": "License has expired",
                    "description": "License has expired",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_LICENSE_EXPIRED",
                          "message": "License has expired"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "490": {
            "description": "Request blocked by WAF"
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "cURL",
            "source": "curl -X GET \\\n  \"https://{instance}.kiteworks.com/rest/folders/:id/members\" \\\n  -H \"Authorization: Bearer YOUR_TOKEN\""
          },
          {
            "lang": "Python",
            "label": "Python",
            "source": "import requests\n\nid = \"VALUE\"  # The unique identifier (UUID) of the entity.\n\nurl = f\"https://{{instance}}.kiteworks.com/rest/folders/{id}/members\"\nheaders = {\n    \"Authorization\": \"Bearer YOUR_TOKEN\",\n}\nresponse = requests.get(url, headers=headers)\nprint(response.json())"
          }
        ]
      },
      "post": {
        "summary": "Add members to a folder",
        "description": "### Description:\n  Adds one or more users or LDAP groups as members of the specified folder.\n### Precondition:\n  User must have `user_add` permission for the folder.\n### Response:\n  The new members are added to the folder.\n",
        "tags": [
          "folders"
        ],
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The unique identifier (UUID) of the entity.",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "in": "query",
            "name": "updateIfExists",
            "required": false,
            "description": "If set to `true`, updates the member if they already exist and have a different folder role.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "partialSuccess",
            "required": false,
            "description": "If set to `true`, the operation will continue for the valid items even if some items result in failure.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "downgradeNested",
            "required": false,
            "description": "If set to `true`, demote the user member role in all applicable nested folders.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "returnEntity",
            "required": false,
            "description": "If true, includes the entity in the response body.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "with",
            "required": false,
            "description": "Specifies additional fields to include in the response.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "mode",
            "required": false,
            "description": "Determines the detail level of the response body.",
            "schema": {
              "type": "string",
              "enum": [
                "compact",
                "full_no_links",
                "full_with_links",
                "full"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/FolderMemberPostRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Members were added successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FolderFileAddMembers"
                }
              }
            }
          },
          "207": {
            "description": "Some members were added successfully, while others failed.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FolderFileAddMembers"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized<br /><br /><i>Possible error codes: </i>ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_AUTH_INVALID_CSRF": {
                    "summary": "Invalid CSRF Authentication",
                    "description": "Invalid CSRF Authentication",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_AUTH_INVALID_CSRF",
                          "message": "Invalid CSRF Authentication"
                        }
                      ]
                    }
                  },
                  "ERR_AUTH_UNAUTHORIZED": {
                    "summary": "Unauthorized",
                    "description": "Unauthorized",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_AUTH_UNAUTHORIZED",
                          "message": "Unauthorized"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden<br /><br /><i>Possible error codes: </i>ERR_ENTITY_IS_BASE_DIR, ERR_ENTITY_IS_MY_DIR, ERR_ENTITY_IS_SYNC_DIR, ERR_ACCESS_USER, ERR_LICENSE_MAX_USERS_COUNT_REACHED, ERR_USER_HAS_NO_USER_TYPE, ERR_USER_TYPE_NO_ACCESS, ERR_INPUT_EMAIL_IS_DISTRIBUTION_LIST, ERR_ENTITY_USER_HAS_INSUFFICIENT_PERMISSIONS, ERR_PROFILE_COLLABORATION_DISABLED, ERR_ENTITY_IS_OWNER, ERR_ENTITY_DELETED, ERR_CLIENT_OBJECT, ERR_PROFILE_SALESFORCE_OBJECT_DISABLED, ERR_PROFILE_SALESFORCE_OBJECT_ROLE_DISALLOWED",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_ENTITY_IS_BASE_DIR": {
                    "summary": "Operation not permitted on Base Folder",
                    "description": "Operation not permitted on Base Folder",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_IS_BASE_DIR",
                          "message": "Operation not permitted on Base Folder"
                        }
                      ]
                    }
                  },
                  "ERR_ENTITY_IS_MY_DIR": {
                    "summary": "Operation not permitted on Tray Folder",
                    "description": "Operation not permitted on Tray Folder",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_IS_MY_DIR",
                          "message": "Operation not permitted on Tray Folder"
                        }
                      ]
                    }
                  },
                  "ERR_ENTITY_IS_SYNC_DIR": {
                    "summary": "Operation not permitted on My Folder",
                    "description": "Operation not permitted on My Folder",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_IS_SYNC_DIR",
                          "message": "Operation not permitted on My Folder"
                        }
                      ]
                    }
                  },
                  "ERR_ACCESS_USER": {
                    "summary": "Insufficient access permissions",
                    "description": "Insufficient access permissions",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ACCESS_USER",
                          "message": "Insufficient access permissions"
                        }
                      ]
                    }
                  },
                  "ERR_LICENSE_MAX_USERS_COUNT_REACHED": {
                    "summary": "License count has been reached",
                    "description": "License count has been reached",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_LICENSE_MAX_USERS_COUNT_REACHED",
                          "message": "License count has been reached"
                        }
                      ]
                    }
                  },
                  "ERR_USER_HAS_NO_USER_TYPE": {
                    "summary": "User has no profile",
                    "description": "User has no profile",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_USER_HAS_NO_USER_TYPE",
                          "message": "User has no profile"
                        }
                      ]
                    }
                  },
                  "ERR_USER_TYPE_NO_ACCESS": {
                    "summary": "Permission denied",
                    "description": "Permission denied",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_USER_TYPE_NO_ACCESS",
                          "message": "Permission denied"
                        }
                      ]
                    }
                  },
                  "ERR_INPUT_EMAIL_IS_DISTRIBUTION_LIST": {
                    "summary": "Distribution list user is not allowed to register",
                    "description": "Distribution list user is not allowed to register",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_INPUT_EMAIL_IS_DISTRIBUTION_LIST",
                          "message": "Distribution list user is not allowed to register"
                        }
                      ]
                    }
                  },
                  "ERR_ENTITY_USER_HAS_INSUFFICIENT_PERMISSIONS": {
                    "summary": "Target user has insufficient access permissions",
                    "description": "Target user has insufficient access permissions",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_USER_HAS_INSUFFICIENT_PERMISSIONS",
                          "message": "Target user has insufficient access permissions"
                        }
                      ]
                    }
                  },
                  "ERR_PROFILE_COLLABORATION_DISABLED": {
                    "summary": "User's profile has no collaboration access",
                    "description": "User's profile has no collaboration access",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_PROFILE_COLLABORATION_DISABLED",
                          "message": "User's profile has no collaboration access"
                        }
                      ]
                    }
                  },
                  "ERR_ENTITY_IS_OWNER": {
                    "summary": "Operation not permitted on owner member",
                    "description": "Operation not permitted on owner member",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_IS_OWNER",
                          "message": "Operation not permitted on owner member"
                        }
                      ]
                    }
                  },
                  "ERR_ENTITY_DELETED": {
                    "summary": "Entity is deleted",
                    "description": "Entity is deleted",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_DELETED",
                          "message": "Entity is deleted"
                        }
                      ]
                    }
                  },
                  "ERR_CLIENT_OBJECT": {
                    "summary": "Operation is not allowed on this client object",
                    "description": "Operation is not allowed on this client object",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_CLIENT_OBJECT",
                          "message": "Operation is not allowed on this client object"
                        }
                      ]
                    }
                  },
                  "ERR_PROFILE_SALESFORCE_OBJECT_DISABLED": {
                    "summary": "This Salesforce object is not enabled for this profile",
                    "description": "This Salesforce object is not enabled for this profile",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_PROFILE_SALESFORCE_OBJECT_DISABLED",
                          "message": "This Salesforce object is not enabled for this profile"
                        }
                      ]
                    }
                  },
                  "ERR_PROFILE_SALESFORCE_OBJECT_ROLE_DISALLOWED": {
                    "summary": "This role is disallowed for this Salesforce object",
                    "description": "This role is disallowed for this Salesforce object",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_PROFILE_SALESFORCE_OBJECT_ROLE_DISALLOWED",
                          "message": "This role is disallowed for this Salesforce object"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "409": {
            "description": "Conflict<br /><br /><i>Possible error codes: </i>ERR_ENTITY_EXISTS, ERR_ENTITY_ROLE_IS_ASSIGNED, ERR_ENTITY_PARENT_FOLDER_MEMBER_EXISTS",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                },
                "examples": {
                  "ERR_ENTITY_EXISTS": {
                    "summary": "Entity exists",
                    "description": "Entity exists",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_EXISTS",
                          "message": "Entity exists"
                        }
                      ]
                    }
                  },
                  "ERR_ENTITY_ROLE_IS_ASSIGNED": {
                    "summary": "Cannot assign already assigned role",
                    "description": "Cannot assign already assigned role",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_ROLE_IS_ASSIGNED",
                          "message": "Cannot assign already assigned role"
                        }
                      ]
                    }
                  },
                  "ERR_ENTITY_PARENT_FOLDER_MEMBER_EXISTS": {
                    "summary": "Parent folder member exists",
                    "description": "Parent folder member exists",
                    "value": {
                      "errors": [
                        {
                          "code": "ERR_ENTITY_PARENT_FOLDER_MEMBER_EXISTS",
[...]
